"use strict";
/**
 * Copyright 2022 IBM Corp. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Rule_1 = __importDefault(require("./Rule"));
var Segment = /** @class */ (function () {
    function Segment(_a) {
        var name = _a.name, segment_id = _a.segment_id, rules = _a.rules;
        this.name = name;
        this.segment_id = segment_id;
        this.rules = rules;
    }
    Segment.prototype.evaluateRule = function (entityAttributes) {
        for (var _i = 0, _a = this.rules; _i < _a.length; _i++) {
            var i = _a[_i];
            var rule = i;
            var ruleObj = new Rule_1.default(rule);
            if (!ruleObj.evaluateRule(entityAttributes)) {
                return false;
            }
        }
        return true;
    };
    return Segment;
}());
exports.default = Segment;
