/**
 * Copyright 2022 IBM Corp. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
interface Usage {
    [key: string]: string | number | null;
}
export interface MeteringRequestBody {
    [key: string]: string | Usage[];
}
export default class Metering {
    private static instance;
    private environmentId;
    private collectionId;
    private meteringInterval;
    private timer;
    private startMetering;
    private meteringFeatureData;
    private meteringPropertyData;
    private stopTimer;
    private constructor();
    init(collectionId: string, environmentId: string): void;
    addMetering(entityId: string, segmentId: string, featureId: string | null, propertyId: string | null): void;
    private buildRequestBody;
    private sendToServer;
    private sendSplitMetering;
    sendMetering(keepalive: boolean): Promise<void>;
    static getInstance(): Metering;
}
export {};
